diff scripts/install-po.sh @ 779:087d3ff0aa08 pyntnclick

Move po scripts into scripts. Bundle msgfmt.py from cpython too
author Stefano Rivera <stefano@rivera.za.net>
date Sat, 26 Jan 2013 18:38:27 +0200
parents install-po.sh@43b49f1de828
children abfa4f7e89a0
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/install-po.sh	Sat Jan 26 18:38:27 2013 +0200
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Compiles and installs translation catalogs
+
+set -eu
+
+for pofile in po/*.po; do
+  molang=`echo $pofile | sed -e 's#po/\(.*\)\\.po#\\1#'`;
+  mofile=`echo $pofile | sed -e 's/\\.po/.mo/'`;
+  mkdir -p data/locale/$molang/LC_MESSAGES
+  scripts/msgfmt.py -o data/locale/$molang/LC_MESSAGES/suspended-sentence.mo $pofile
+done